Package org.bukkit.command.defaults

# Class PluginsCommand

java.lang.Object
org.bukkit.command.Command
org.bukkit.command.defaults.BukkitCommand
org.bukkit.command.defaults.PluginsCommand

public class PluginsCommand extends BukkitCommand

## Field Summary

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

## Constructor Summary

Constructors
Constructor
Description
`PluginsCommand(@NotNull String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute(@NotNull CommandSender sender, @NotNull String currentAlias, @NotNull String[] args)`
Executes the command, returning its success
`@NotNull List<String>`
`tabComplete(@NotNull CommandSender sender, @NotNull String alias, @NotNull String[] args)`
Executed on tab completion for this command, returning a list of options the player can tab through.

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, permissionMessage, permissionMessage, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, testPermission, testPermissionSilent, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PluginsCommand

public PluginsCommand(@NotNull @NotNull String name)

## Method Details

### execute

public boolean execute(@NotNull @NotNull CommandSender sender, @NotNull @NotNull String currentAlias, @NotNull @NotNull String[] args)
Description copied from class: `Command`
Executes the command, returning its success

Specified by:
  `execute` in class `Command`
Parameters:
  `sender` - Source object which is executing this command
  `currentAlias` - The alias of the command used
  `args` - All arguments passed to the command, split via ' '
Returns:
  true if the command was successful, otherwise false

### tabComplete

@NotNull public @NotNull List<String> tabComplete(@NotNull @NotNull CommandSender sender, @NotNull @NotNull String alias, @NotNull @NotNull String[] args) throws IllegalArgumentException
Description copied from class: `Command`
Executed on tab completion for this command, returning a list of options the player can tab through.

Overrides:
  `tabComplete` in class `Command`
Parameters:
  `sender` - Source object which is executing this command
  `alias` - the alias being used
  `args` - All arguments passed to the command, split via ' '
Returns:
  a list of tab-completions for the specified arguments. This will never be null. List may be immutable.
Throws:
  `IllegalArgumentException` - if sender, alias, or args is null